%define oname kcm-touchpad

Summary:	Advanced touchpad configuration GUI for Plasma 5
Name:		plasma5-%{oname}
Version:	5.1.95
Release:	3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	http://mirror.csclub.uwaterloo.ca/kde/unstable/plasma/%{version}/%{oname}-%{version}.tar.xz
Source1:        kcm-touchpad_ru_kde5.tar.bz2
Patch0:         fix-plasmoid.patch
Patch1:		kcm-touchpad-5.1.95-fix_desktop.patch
Patch2:		kcm-touchpad-5.1.95-fix_cmake_po.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kded
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	kf5kded-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:  kf5configwidgets-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5plasma-devel
BuildRequires:  plasma5-workspace-devel
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-record)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xorg-synaptics)


%description
Advanced touchpad configuration GUI for Plasma 5.

%files
%{_kde5_bindir}/kcm-touchpad-list-devices
%{_kde5_libdir}/qt5/plugins/kded_touchpad.so
%{_kde5_libdir}/qt5/plugins/plasma_engine_touchpad.so
%{_kde5_services}/plasma-applet-touchpad.desktop
%{_kde5_services}/plasma-dataengine-touchpad.desktop
%{_kde5_services}/kcm_touchpad.desktop
%{_kde5_services}/kded/touchpad.desktop
%{_kde5_notificationsdir}/kcm_touchpad.notifyrc
%{_kde5_datadir}/plasma/desktoptheme/default/icons/touchpad.svg
%{_kde5_datadir}/plasma/plasmoids/touchpad/contents/ui/touchpad.qml
%{_kde5_datadir}/plasma/plasmoids/touchpad/metadata.desktop
%{_kde5_datadir}/plasma/services/touchpad.operations
%{_kde5_datadir}/config.kcfg/touchpad.kcfg
%{_kde5_datadir}/config.kcfg/touchpaddaemon.kcfg
%{_kde5_datadir}/locale/ru/LC_MESSAGES/*
%{_kde5_iconsdir}/hicolor/*/devices/input-touchpad.png
%{_kde5_iconsdir}/hicolor/scalable/devices/input-touchpad.svgz
%{_datadir}/dbus-1/interfaces/org.kde.touchpad.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

tar xjf %{SOURCE1}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


